This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### saveBytes()
Examples |
    byte[] nums = { 0, 34, 5, 127, 52};

    // Writes the bytes to a file
    saveBytes("numbers.dat", nums);
Description | As the opposite of loadBytes(), this function will write an entire array of bytes to a file. The data is saved in binary format. This file is saved to the sketch's folder, which is opened by selecting "Show Sketch Folder" from the "Sketch" menu. Alternatively, the files can be saved to any location on the computer by using an absolute path (something that starts with / on Unix and Linux, or a drive letter on Windows).
Syntax |
    saveBytes(filename, data)
Parameters |
filename | String: name of the file to write to
data | byte[]: array of bytes to be written
Returns | void
Related | loadStrings() loadBytes() saveStrings()

Updated on October 26, 2013 08:58:31pm PDT